
<table mat-table class="doctors-table" [dataSource]="tableDataSource">
    
    <ng-container matColumnDef="nurseName">
        <th mat-header-cell-class="display-col" *matHeaderCellDef>Nurse Name</th>
        <td mat-cell class="display-col" *matCellDef="let nurse">{{nurse.name}}</td>
    </ng-container>

    <ng-container matColumnDef="changeRequestBtnColumn">
        <th mat-header-cell-class='display-col' *matHeaderCellDef>Change Request</th>
        <td mat-cell class="display-col" *matCellDef="let nurse">
            <button mat-btn class="changeReq-btn btn" (click)="onChangeRequest(nurse)">Change Request</button>
        </td>
    </ng-container>

    <ng-container matColumnDef="sendReminderBtnColumn">
        <th mat-header-cell-class='display-col' *matHeaderCellDef>Send Reminder</th>
        <td mat-cell class="display-col" *matCellDef="let nurse">
            <button mat-btn class="reminder-btn btn" (click)="sendReminder()">Send Reminder</button>
        </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
    <tr mat-row *matRowDef="let myRowData; columns:columnsToDisplay"></tr>

</table>
<mat-paginator class='paginator' [length]="5" [pageSize]="5" [pageSizeOptions]="[5,10,15]" aria-label="select page">
</mat-paginator>